summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python/protobuf-python-9999.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/protobuf-python/protobuf-python-9999.ebuild')
-rw-r--r--dev-python/protobuf-python/protobuf-python-9999.ebuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/dev-python/protobuf-python/protobuf-python-9999.ebuild b/dev-python/protobuf-python/protobuf-python-9999.ebuild
index f03027b829ac..b9b5dab0d541 100644
--- a/dev-python/protobuf-python/protobuf-python-9999.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-9999.ebuild
@@ -23,7 +23,7 @@ else
fi
LICENSE="BSD"
-SLOT="0/23"
+SLOT="0/24"
KEYWORDS=""
IUSE=""
@@ -43,6 +43,12 @@ if [[ "${PV}" == "9999" ]]; then
EGIT_CHECKOUT_DIR="${WORKDIR}/protobuf-${PV}"
fi
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ sed -e "/^[[:space:]]*setup_requires = \['wheel'\],$/d" -i setup.py || die
+}
+
python_configure_all() {
mydistutilsargs=(--cpp_implementation)
}